version: "3.7"

services:
  app_proxy:
    environment:
      APP_HOST: stirling-pdf_app_1
      APP_PORT: 8080
      PROXY_AUTH_WHITELIST: "/api/*"
  app:
    image: stirlingtools/stirling-pdf:2.10.0@sha256:4d9abedcd57a9aa4d36ffb8fc9a4801aea2d295bf6ad349e23dd4b45661a5e42
    # Stirling PDF не работает с пользовательским пользователем
    #user: "1000:1000"
    restart: on-failure
    stop_grace_period: 1m
    volumes:
      # Требуется для дополнительных языков OCR.
      - ${APP_DATA_DIR}/data/tessdata:/usr/share/tessdata
      - ${APP_DATA_DIR}/data/configs:/configs
      - ${APP_DATA_DIR}/data/logs:/logs
      - ${APP_DATA_DIR}/data/pipeline:/pipeline
    environment:
      # Не требуется, поскольку DFWebOS аутентифицирует пользователя.
      DOCKER_ENABLE_SECURITY: "false"
      INSTALL_BOOK_AND_ADVANCED_HTML_OPS: "true"
      LANGS: ALL
      SECURITY_ENABLELOGIN: "false"
